Bug 22127 - OpenOffice не запускается
: OpenOffice не запускается
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openoffice.org)
: unstable
: all Linux
: P3 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-11-01 16:40 by
Modified: 2009-11-05 22:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-11-01 16:40:01
После dist-upgrade с обновлением до версии openoffice.org-3.1.1.4-alt1,
openoffice перестал запускаться.

$ oowriter
terminate called after throwing an instance of
'com::sun::star::uno::RuntimeException'
------- Comment #1 From 2009-11-02 00:18:45 -------
Нашел в сизифе обсуждение про -nologo
Да, это оно.
------- Comment #2 From 2009-11-03 10:53:17 -------
После очередного падения OOo получил аналогичную проблему.
$ rpm -q openoffice.org
openoffice.org-3.1.1.4-alt1

Вижу, что эта проблема есть не только у нас:
https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/444010
------- Comment #3 From 2009-11-03 11:07:23 -------
По мотивам
http://article.gmane.org/gmane.linux.debian.devel.openoffice/22424
нашёл workaround.

Если запускать
/usr/lib/openoffice.org/program/oosplash.bin
то OOo стартует и работает...
------- Comment #4 From 2009-11-03 18:12:46 -------
(In reply to comment #1)
> Нашел в сизифе обсуждение про -nologo. Да, это оно.
Бишь /usr/lib/openoffice.org/program/swriter -nologo
------- Comment #5 From 2009-11-03 18:48:13 -------
openoffice.org-3.1.1.4-alt2 -> sisyphus:

* Tue Nov 03 2009 Valery Inozemtsev <shrek@altlinux> 3.1.1.4-alt2

- fixed crash on startup (closes: #22127)